org.apache.solr.client.solrj.request

## Class ConfigSetAdminRequest.Create

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<R>
  - - org.apache.solr.client.solrj.request.ConfigSetAdminRequest<T,ConfigSetAdminResponse>
    - - org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<ConfigSetAdminRequest.Create>
      - - org.apache.solr.client.solrj.request.ConfigSetAdminRequest.Create

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,R>,R extends ConfigSetAdminResponse>

      public static class ConfigSetAdminRequest.Create
      extends ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<ConfigSetAdminRequest.Create>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

      `ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>, ConfigSetAdminRequest.Create, ConfigSetAdminRequest.Delete, ConfigSetAdminRequest.List`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `baseConfigSetName`
    `protected Properties` | `properties`
    `protected static String` | `PROPERTY_PREFIX`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest

      `configSetName`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

      `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Create()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseConfigSetName()`
    `Properties` | `getNewConfigSetProperties()`
    `SolrParams` | `getParams()`
    `protected ConfigSetAdminRequest.Create` | `getThis()`
    `ConfigSetAdminRequest.Create` | `setBaseConfigSetName(String baseConfigSetName)`
    `ConfigSetAdminRequest.Create` | `setNewConfigSetProperties(Properties properties)`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest

      `createResponse, getConfigSetName, setConfigSetName`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

      `getContentStreams, setAction`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_PREFIX

          protected static String PROPERTY_PREFIX

    - #### baseConfigSetName

          protected String baseConfigSetName

    - #### properties

          protected Properties properties

  - ### Constructor Detail

    - #### Create

          public Create()

  - ### Method Detail

    - #### getThis

          protected ConfigSetAdminRequest.Create getThis()

      Specified by:
        `getThis` in class `ConfigSetAdminRequest<ConfigSetAdminRequest.Create,ConfigSetAdminResponse>`

    - #### setBaseConfigSetName

          public final ConfigSetAdminRequest.Create setBaseConfigSetName(String baseConfigSetName)

    - #### getBaseConfigSetName

          public final String getBaseConfigSetName()

    - #### setNewConfigSetProperties

          public final ConfigSetAdminRequest.Create setNewConfigSetProperties(Properties properties)

    - #### getNewConfigSetProperties

          public final Properties getNewConfigSetProperties()

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<ConfigSetAdminRequest.Create>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.